<script setup lang="ts">
import { inject, type Ref } from 'vue'
import clockRealTime from './clockRealTime.vue'

const rail = inject<Ref<boolean>>('rail')
</script>
<template>
  <v-app-bar color="#715C55">
    <v-img class="mx-1" :src="`./public/img/logo.png`" max-height="60" max-width="60" contain></v-img>

    <v-app-bar-title class="ml-1" style="font-family: 'Kanit'; color: #FAEBDF;">Gwenchana Coffee</v-app-bar-title>


    <template v-slot:prepend>
      <v-app-bar-nav-icon style="color: #FAEBDF; " @click.stop="rail = !rail"></v-app-bar-nav-icon>
    </template>




    <v-spacer></v-spacer>
    <clockRealTime style="padding: 1%; font-size: 25px"></clockRealTime>
  </v-app-bar>
</template>
